Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1847999 - EPN does not ship its default configuration ( /etc/ipa/epn.conf ) in freeipa-client-epn
Summary: EPN does not ship its default configuration ( /etc/ipa/epn.conf ) in freeipa-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 8.0
Assignee: François Cami
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On: 1847997
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-17 14:16 UTC by François Cami
Modified: 2020-11-04 02:51 UTC (History)
14 users (show)

Fixed In Version: ipa-4.8.7-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1847997
Environment:
Last Closed: 2020-11-04 02:51:04 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)

Description François Cami 2020-06-17 14:16:23 UTC
+++ This bug was initially created as a clone of Bug #1847997 +++

Description of problem:
EPN does not ship its default configuration ( /etc/ipa/epn.conf ) in the ipa-client-epn subpackage. 

Version-Release number of selected component (if applicable):
freeipa-4.8.7-1

How reproducible:
Always

Steps to Reproduce:
1. Install ipa-client-epn
2. Look for /etc/ipa/epn.conf

Actual results:
No file.

Expected results:
Configuration file installed.

Additional info:
EPN will work fine without its configuration file ; since EPN ships a configuration file man page, the configuration file can be created from scratch by (creative) users. However, this is less than convenient.

Comment 2 François Cami 2020-06-18 10:18:36 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8374

Comment 5 Thomas Woerner 2020-06-29 08:06:09 UTC
The patch set needs the "Move ipa-epn systemd files and run RPM hooks" patch additionally:

https://pagure.io/freeipa/c/77fae8c48bbe0f4499f4d8ed91b268568c64cd7c

Comment 10 Michal Polovka 2020-07-15 13:13:45 UTC
Test executed on RHEL8.3 passed.

Relevant log:

transport.py               391 INFO     RUN ['python3', '-c', 'from ipaplatform.osinfo import OSInfo; print(OSInfo().platform)']
transport.py               513 DEBUG    RUN ['python3', '-c', 'from ipaplatform.osinfo import OSInfo; print(OSInfo().platform)']
transport.py               558 DEBUG    rhel
transport.py               217 DEBUG    Exit code: 0
transport.py               391 INFO     RUN ['rpm', '-qc', 'ipa-client-epn']
transport.py               513 DEBUG    RUN ['rpm', '-qc', 'ipa-client-epn']
transport.py               558 DEBUG    /etc/ipa/epn.conf
transport.py               558 DEBUG    /etc/ipa/epn/expire_msg.template
transport.py               217 DEBUG    Exit code: 0
transport.py               391 INFO     RUN ['sha256sum', '/etc/ipa/epn.conf']
transport.py               513 DEBUG    RUN ['sha256sum', '/etc/ipa/epn.conf']
transport.py               558 DEBUG    4c207b5c9c760c36db0d3b2b93da50ea49edcc4002d6d1e7383601f0ec30b957  /etc/ipa/epn.conf
transport.py               217 DEBUG    Exit code: 0

Comment 14 errata-xmlrpc 2020-11-04 02:51:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: idm:DL1 and idm:client security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4670


Note You need to log in before you can comment on or make changes to this bug.